import android.view.MotionEvent;

import ketai.ui.*;
import ketai.sensors.*;



KetaiSensor sensor;
KetaiGesture gesture;


color c;
float rectSize = 100;
float accelerometerX, accelerometerY, accelerometerZ;
float rectAngle;

void setup() {

  sensor = new KetaiSensor(this);
  gesture = new KetaiGesture(this);
  println(sensor.list());
  sensor.start();
  rectMode(CENTER);
}

void draw() {
  background(accelerometerX, accelerometerY, accelerometerZ);
  fill(c);
  translate(width/2, height/2);
  rotate(rectAngle);

  rect( 0, 0, rectSize, rectSize);
}

void onAccelerometerEvent(float x, float y, float z) {

  accelerometerX= map(x, -10, 10, 0, 255);
  accelerometerY= map(y, -10, 10, 0, 255);

  accelerometerZ= map(z, -10, 10, 0, 255);
}

void onLongPress(float x, float y) {

  c = color(random(255), random(255), random(255));
}

void onFlick(float x, float y, float px, float py, float v) {

  c = color(0, 0, map(v, 0, 10, 0, 255));
}

void onPinch(float x, float y, float d) {
  rectSize += d;
}

void onRotate(float x, float y, float angle) {
  rectAngle += angle;
}

public boolean surfaceTouchEvent(MotionEvent event)
{
  super.surfaceTouchEvent(event);
  return gesture.surfaceTouchEvent(event);
}

